org.icefaces.ace.event

## Class SeriesSelectionEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.faces.event.FacesEvent
    - - org.icefaces.ace.event.SeriesSelectionEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class SeriesSelectionEvent
      extends javax.faces.event.FacesEvent

  this event is used by the Chart component. Original event would only allow integer values in the event, but ICE-11337 work allows String values to be returned and cast as the user is aware of own data.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SeriesSelectionEvent(javax.faces.component.UIComponent component)`
    `SeriesSelectionEvent(javax.faces.component.UIComponent c, int seriesIndex, int pointIndex)`
    `SeriesSelectionEvent(javax.faces.component.UIComponent c, java.lang.String seriesIndex, java.lang.String pointLabel)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPointIndex()`
    `java.lang.String` | `getPointLabel()`
    `int` | `getSeriesIndex()`
    `java.lang.String` | `getSeriesLabel()`
    `boolean` | `isAppropriateListener(javax.faces.event.FacesListener facesListener)`
    `void` | `processListener(javax.faces.event.FacesListener facesListener)`
    `void` | `setPointIndex(int pointIndex)`
    `void` | `setPointLabel(java.lang.String pointLabel)`
    `void` | `setSeriesIndex(int seriesIndex)`
    `void` | `setSeriesLabel(java.lang.String seriesLabel)`

    - ### Methods inherited from class javax.faces.event.FacesEvent

      `getComponent, getPhaseId, queue, setPhaseId`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SeriesSelectionEvent

          public SeriesSelectionEvent(javax.faces.component.UIComponent c,
                                      int seriesIndex,
                                      int pointIndex)

    - #### SeriesSelectionEvent

          public SeriesSelectionEvent(javax.faces.component.UIComponent c,
                                      java.lang.String seriesIndex,
                                      java.lang.String pointLabel)

    - #### SeriesSelectionEvent

          public SeriesSelectionEvent(javax.faces.component.UIComponent component)

  - ### Method Detail

    - #### isAppropriateListener

          public boolean isAppropriateListener(javax.faces.event.FacesListener facesListener)

      Specified by:
        `isAppropriateListener` in class `javax.faces.event.FacesEvent`

    - #### processListener

          public void processListener(javax.faces.event.FacesListener facesListener)

      Specified by:
        `processListener` in class `javax.faces.event.FacesEvent`

    - #### getPointIndex

          public int getPointIndex()

    - #### setPointIndex

          public void setPointIndex(int pointIndex)

    - #### getSeriesIndex

          public int getSeriesIndex()

    - #### setSeriesIndex

          public void setSeriesIndex(int seriesIndex)

    - #### getPointLabel

          public java.lang.String getPointLabel()

    - #### setPointLabel

          public void setPointLabel(java.lang.String pointLabel)

    - #### getSeriesLabel

          public java.lang.String getSeriesLabel()

    - #### setSeriesLabel

          public void setSeriesLabel(java.lang.String seriesLabel)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.